Ruuvitag-logger and viewer on Raspberry Pi 3

Not being a pro, I spent hours with the ruuviberry image…ony to finally find out here that it doesnt’ work with the latest 3B+.
What about adding a note in the blog?
It’s a trap for dummies today.
(https://blog.ruuvi.com/rpi-gateway-6e4a5b676510)

1 Like

Thanks for the feedback, I added a note

Hi, now I has more questions…
I installed the Ruuviberry image and everything works… but when I wanted to move the Pi to a better location ( better signals from the tags) and unpluged the networkcabel… I has no Wifi connection and I could not figure out how to add it.
So please can somebody help me. I really don’t need the Pi to act as an access point…

Hello,

fastest way is to setup the image with these instructions

Ok, everything else is clear for me but installing Ruuvicollector so it works as it should give me problems…Install this,change this… do I need docker… I will try again and see if I get it working. I’m in very beginning of my learning curve.If you don’t hear from me, I got it working or throwned the Pi out of the window :slight_smile:

One question more, can I save my RuuviTag data so I can import them back when I have installed everything again on the Pi?

You don’t need docker with RuuviCollector.
You can backup the InfluxDB, Influx has the instructions for backups. You can also export the data as JSON from grafana

is anyone here using the logger to send data to firebase?

Hiya
Did you ever get over that br0/ssh issue on the Rpi wifi?
I have tried numerous times to install on a Rpi Zero W but always run into an issue with the Raspberry org instructions sheet at the bit where it gives static IP settings and ipv4 iptables.
The bit where it starts about saving creating and saving iptables makes no sense when it says save the file and the path seems wrong too.
I dont get any connection to my router but can using a standard Rpi Raspbian set up with ssh and wpa supplicant set up but not with this Ruuvi sw using the same files
Hovering over the wifi button i get:
wlan0: Associated with RuuviGW
wlan0: Configured 192.168.4.1/24
br0: Configured 159.254.159.129/16

Heres the bit I dont understand.

Add routing and masquerade

Edit /etc/sysctl.conf and uncomment this line:

net.ipv4.ip_forward=1

Add a masquerade for outbound traffic on eth0:

sudo iptables -t nat -A  POSTROUTING -o eth0 -j MASQUERADE

Save the iptables rule.

sudo sh -c "iptables-save > /etc/iptables.ipv4.nat"

Edit /etc/rc.local and add this just above “exit 0” to install these rules on boot.

iptables-restore < /etc/iptables.ipv4.nat

Wasted hours of my life and at my age thats not a good idea. :slight_smile:

What pages are your referring to for “Add routing and masquerade”
I don’t think you should be going tin this direction.

Its on the raspberrypi org page linked off the ruuviberry set up page.
Seems a lot of it has already been incorporated into the ruuvi image supplied but it might be good for newbies if ruuvi rewrote it so the superfluous stuff is left out altogether.
I have never got it working despite hours of blood, sweat and tears.

Thanks to dgerman.
Now all I need is to work out is how to get the rest of the tags on there and make it still legible and then get it working on a cellular network.

Hi, I’m also concerned, is there any ongoing development to update the image to support Raspberry Pi 3b+?

Hello,

There’s no constant maintenance of the images. One example on how to setup the Raspberry Pi is here.

OK I am giving up with the Collector/Influx/Chronograf - Grafana system on a Raspberrypi running over 3g cellular network, until someone comes up with a plug and play solution.
My bees will have to rely on me being there to see what they are up to.
It was fun while it lasted.

Hello,
I keep getting an error after using this on my Raspberry Pi 4 with RuuviBerry Collector OS.

Looks like you’ve not installed the ruuvitag-python library.

I installed the ruuvitag-python library and I’m still getting the aforementioned error.

Debugging the installation of other libraries is outside the scope of this thread, please open a new one if needed. One possibility that comes to my mind is that you’ve installed the library with pip / python2 and trying to run the program with python3.

Ok, I got that part working. Now I get an error at line 91. Here’s a screenshot.